<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="584.0" prefWidth="869.0" stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="seng302.GUI.Chat.ChatWindowController">
   <children>
      <GridPane prefHeight="584.0" prefWidth="869.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="40.0" prefWidth="100.0" />
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="60.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
            <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" percentHeight="80.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <ScrollPane fx:id="conversationScrollPane" hbarPolicy="NEVER" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="516.0" prefWidth="328.0" style="-fx-border-color: #303F9F;" GridPane.rowIndex="1" GridPane.rowSpan="2">
               <content>
                  <VBox fx:id="conversationBox" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="503.0" prefWidth="326.0" />
               </content>
               <padding>
                  <Insets bottom="10.0" />
               </padding>
               <GridPane.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" />
               </GridPane.margin>
            </ScrollPane>
            <ScrollPane fx:id="chatScrollPane" hbarPolicy="NEVER" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="450.0" prefViewportHeight="478.0" prefViewportWidth="466.0" prefWidth="450.0" style="-fx-border-color: #303F9F;" GridPane.columnIndex="1" GridPane.rowSpan="2">
               <content>
                  <VBox fx:id="chatBox" layoutX="67.0" layoutY="16.0" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="503.0" prefWidth="499.0" />
               </content>
               <padding>
                  <Insets bottom="10.0" />
               </padding>
               <GridPane.margin>
                  <Insets left="10.0" right="10.0" top="10.0" />
               </GridPane.margin>
            </ScrollPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="2">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="75.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Button mnemonicParsing="false" onAction="#sendMessage" prefWidth="87.0" text="Send" GridPane.columnIndex="1" GridPane.halignment="CENTER" GridPane.valignment="CENTER" GridPane.vgrow="NEVER">
                     <GridPane.margin>
                        <Insets bottom="8.0" top="8.0" />
                     </GridPane.margin>
                  </Button>
                  <TextField fx:id="sendMessageText" prefWidth="355.0">
                     <GridPane.margin>
                        <Insets left="10.0" />
                     </GridPane.margin>
                  </TextField>
               </children>
            </GridPane>
            <Label text="Chats" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
               <font>
                  <Font size="36.0" />
               </font>
            </Label>
         </children>
      </GridPane>
   </children>
</AnchorPane>
